﻿// *********************************
// Message from Original Author:
//
// 2008 Jose Menendez Poo
// Please give me credit if you use this code. It's all I ask.
// Contact me for more info: menendezpoo@gmail.com
// *********************************
//
// Original project from http://ribbon.codeplex.com/
// Continue to support and maintain by http://officeribbon.codeplex.com/

using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace System.Windows.Forms
{
    public class RibbonProfesionalRendererColorTablePurple
        : RibbonProfesionalRendererColorTable
    {
        public RibbonProfesionalRendererColorTablePurple()
        {
            // Rebuild the solution for the first time
            // for this ColorTable to take effect.
            // Guide for applying new theme: http://officeribbon.codeplex.com/wikipage?title=How%20to%20Make%20a%20New%20Theme%2c%20Skin%20for%20this%20Ribbon%20Programmatically

            ThemeName = "Purple";
            ThemeAuthor = "Michael Spradlin";
            ThemeAuthorWebsite = "";
            ThemeAuthorEmail = "";
            ThemeDateCreated = "08/26/2013";

            OrbDropDownDarkBorder = FromHex("#B1B1B1");
            OrbDropDownLightBorder = FromHex("#FFFFFF");
            OrbDropDownBack = FromHex("#D4D4D4");
            OrbDropDownNorthA = FromHex("#E6E6E6");
            OrbDropDownNorthB = FromHex("#E2E2E2");
            OrbDropDownNorthC = FromHex("#D9D9D9");
            OrbDropDownNorthD = FromHex("#CDCDCD");
            OrbDropDownSouthC = FromHex("#CBCBCB");
            OrbDropDownSouthD = FromHex("#E1E1E1");
            OrbDropDownContentbg = FromHex("#EBEBEB");
            OrbDropDownContentbglight = FromHex("#FAFAFA");
            OrbDropDownSeparatorlight = FromHex("#F5F5F5");
            OrbDropDownSeparatordark = FromHex("#C5C5C5");
            Caption1 = FromHex("#BCB1E7");
            Caption2 = FromHex("#C4BBE6");
            Caption3 = FromHex("#B6A9E7");
            Caption4 = FromHex("#AE9FE7");
            Caption5 = FromHex("#B6A9E7");
            Caption6 = FromHex("#C4BBE6");
            Caption7 = FromHex("#BCB1E7");
            QuickAccessBorderDark = FromHex("#CBCBCB");
            QuickAccessBorderLight = FromHex("#F6F6F6");
            QuickAccessUpper = FromHex("#ECECEC");
            QuickAccessLower = FromHex("#DADADA");
            OrbOptionBorder = FromHex("#969696");
            OrbOptionBackground = FromHex("#F1F1F1");
            OrbOptionShine = FromHex("#E2E2E2");
            Arrow = FromHex("#7C7C7C");
            ArrowLight = FromHex("#EAF2F9");
            ArrowDisabled = FromHex("#7C7C7C");
            Text = FromHex("#000000");
            RibbonBackground = FromHex("#905EBC");
            TabBorder = FromHex("#C0B4FF");
            TabSelectedBorder = FromHex("#C0B4FF");
            TabNorth = FromHex("#C0B4FF");
            TabSouth = FromHex("#ACA1E5");
            TabGlow = FromHex("#D1FBFF");
            TabText = FromHex("#FFFFFF");
            TabActiveText = FromHex("#000000");
            TabContentNorth = FromHex("#C29EE3");
            TabContentSouth = FromHex("#A58BBE");
            TabSelectedGlow = FromHex("#E1D2A5");
            PanelDarkBorder = FromHex("#8241BD");
            PanelLightBorder = FromHex("#E0DCF5");
            PanelTextBackground = FromHex("#ABAEAE");
            PanelTextBackgroundSelected = FromHex("#949495");
            PanelText = FromHex("#FFFFFF");
            PanelBackgroundSelected = FromHex("#CFC3FF");
            PanelOverflowBackground = FromHex("#B9D1F0");
            PanelOverflowBackgroundPressed = FromHex("#AAAEB3");
            PanelOverflowBackgroundSelectedNorth = FromHex("#FFFFFF");
            PanelOverflowBackgroundSelectedSouth = FromHex("#EBEBEB");
            ButtonBgOut = FromHex("#A70C2A");
            ButtonBgCenter = FromHex("#CDD2D8");
            ButtonBorderOut = FromHex("#A9B1B8");
            ButtonBorderIn = FromHex("#DFE2E6");
            ButtonGlossyNorth = FromHex("#DBDFE4");
            ButtonGlossySouth = FromHex("#DFE2E8");
            ButtonDisabledBgOut = FromHex("#E0E4E8");
            ButtonDisabledBgCenter = FromHex("#E8EBEF");
            ButtonDisabledBorderOut = FromHex("#C5D1DE");
            ButtonDisabledBorderIn = FromHex("#F1F3F5");
            ButtonDisabledGlossyNorth = FromHex("#F0F3F6");
            ButtonDisabledGlossySouth = FromHex("#EAEDF1");
            ButtonSelectedBgOut = FromHex("#FFD646");
            ButtonSelectedBgCenter = FromHex("#FFEAAC");
            ButtonSelectedBorderOut = FromHex("#C2A978");
            ButtonSelectedBorderIn = FromHex("#FFF2C7");
            ButtonSelectedGlossyNorth = FromHex("#FFFDDB");
            ButtonSelectedGlossySouth = FromHex("#FFE793");
            ButtonPressedBgOut = FromHex("#F88F2C");
            ButtonPressedBgCenter = FromHex("#FDF1B0");
            ButtonPressedBorderOut = FromHex("#8E8165");
            ButtonPressedBorderIn = FromHex("#F9C65A");
            ButtonPressedGlossyNorth = FromHex("#FDD5A8");
            ButtonPressedGlossySouth = FromHex("#FBB062");
            ButtonCheckedBgOut = FromHex("#F9AA45");
            ButtonCheckedBgCenter = FromHex("#FDEA9D");
            ButtonCheckedBorderOut = FromHex("#8E8165");
            ButtonCheckedBorderIn = FromHex("#F9C65A");
            ButtonCheckedGlossyNorth = FromHex("#F8DBB7");
            ButtonCheckedGlossySouth = FromHex("#FED18E");
            ButtonCheckedSelectedBgOut = FromHex("#F9AA45");
            ButtonCheckedSelectedBgCenter = FromHex("#FDEA9D");
            ButtonCheckedSelectedBorderOut = FromHex("#8E8165");
            ButtonCheckedSelectedBorderIn = FromHex("#F9C65A");
            ButtonCheckedSelectedGlossyNorth = FromHex("#F8DBB7");
            ButtonCheckedSelectedGlossySouth = FromHex("#FED18E");
            ItemGroupOuterBorder = FromHex("#ADB7BB");
            ItemGroupInnerBorder = FromHex("#FFFFFF");
            ItemGroupSeparatorLight = FromHex("#FFFFFF");
            ItemGroupSeparatorDark = FromHex("#ADB7BB");
            ItemGroupBgNorth = FromHex("#D9E0E1");
            ItemGroupBgSouth = FromHex("#EDF0F1");
            ItemGroupBgGlossy = FromHex("#D2D9DB");
            ButtonListBorder = FromHex("#ACACAC");
            ButtonListBg = FromHex("#DAE2E2");
            ButtonListBgSelected = FromHex("#F7F7F7");
            DropDownBg = FromHex("#FAFAFA");
            DropDownImageBg = FromHex("#E9EEEE");
            DropDownImageSeparator = FromHex("#C5C5C5");
            DropDownBorder = FromHex("#868686");
            DropDownGripNorth = FromHex("#FFFFFF");
            DropDownGripSouth = FromHex("#DFE9EF");
            DropDownGripBorder = FromHex("#DDE7EE");
            DropDownGripDark = FromHex("#5574A7");
            DropDownGripLight = FromHex("#FFFFFF");
            DropDownCheckedButtonGlyphBg = FromHex("#FCF1C2");
            DropDownCheckedButtonGlyphBorder = FromHex("#F29536");

            SeparatorLight = FromHex("#E6E8EB");
            SeparatorDark = FromHex("#C5C5C5");
            QATSeparatorLight = FromHex("#E6E8EB");
            QATSeparatorDark = FromHex("#C5C5C5");
            SeparatorBg = FromHex("#EBEBEB");
            SeparatorLine = FromHex("#C5C5C5");

            TextBoxUnselectedBg = FromHex("#E8E8E8");
            TextBoxBorder = FromHex("#898989");
            ToolTipContentNorth = FromHex("#FAFCFE");
            ToolTipContentSouth = FromHex("#CEDCF1");
            ToolTipDarkBorder = FromHex("#A9A9A9");
            ToolTipLightBorder = FromHex("#FFFFFF");
            ToolStripItemTextPressed = FromHex("#262626");
            ToolStripItemTextSelected = FromHex("#262626");
            ToolStripItemText = FromHex("#FFFFFF");
            clrVerBG_Shadow = FromHex("#FFFFFF");
            ButtonChecked_2013 = FromHex("#CDE6F7");
            ButtonPressed_2013 = FromHex("#92C0E0");
            ButtonSelected_2013 = FromHex("#CDE6F7");
            OrbButton_2013 = FromHex("#333333");
            OrbButtonSelected_2013 = FromHex("#2A8AD4");
            OrbButtonPressed_2013 = FromHex("#2A8AD4");
            TabText_2013 = FromHex("#0072C6");
            TabTextSelected_2013 = FromHex("#262626");
            PanelBorder_2013 = FromHex("#15428B");
            RibbonBackground_2013 = FromHex("#905EBC");
            TabCompleteBackground_2013 = FromHex("#F3F3F3");
            TabNormalBackground_2013 = FromHex("#905EBC");
            TabActiveBackbround_2013 = FromHex("#F3F3F3");
            TabBorder_2013 = FromHex("#ABABAB");
            TabCompleteBorder_2013 = FromHex("#ABABAB");
            TabActiveBorder_2013 = FromHex("#ABABAB");
            OrbButtonText_2013 = FromHex("#FFFFFF");
            PanelText_2013 = FromHex("#262626");
            RibbonItemText_2013 = FromHex("#262626");
            ToolTipText_2013 = FromHex("#262626");
            ToolStripItemTextPressed_2013 = FromHex("#262626");
            ToolStripItemTextSelected_2013 = FromHex("#262626");
            ToolStripItemText_2013 = FromHex("#FFFFFF");
        }
    }
}