﻿using System;
using System.Collections.Generic;
using System.Text;

// Added on 13 Jan 2013
// Used to handle ribbon theme coloring
 
// But I think this enum can also be used by other components too.
// Therefore the name of this enum "RibbonColorPart" has the potential 
// to be changed to a more common or generic name in future - by adriancs (21 Aug 2013)

namespace System.Windows.Forms
{
    public enum RibbonColorPart
    {
        OrbDropDownDarkBorder,
        OrbDropDownLightBorder,
        OrbDropDownBack,
        OrbDropDownNorthA,
        OrbDropDownNorthB,
        OrbDropDownNorthC,
        OrbDropDownNorthD,
        OrbDropDownSouthC,
        OrbDropDownSouthD,
        OrbDropDownContentbg,
        OrbDropDownContentbglight,
        OrbDropDownSeparatorlight,
        OrbDropDownSeparatordark,

        Caption1,
        Caption2,
        Caption3,
        Caption4,
        Caption5,
        Caption6,
        Caption7,

        QuickAccessBorderDark,
        QuickAccessBorderLight,
        QuickAccessUpper,
        QuickAccessLower,

        OrbOptionBorder,
        OrbOptionBackground,
        OrbOptionShine,

        Arrow,
        ArrowLight,
        ArrowDisabled,
        Text,

        RibbonBackground,
        TabBorder,
        TabSelectedBorder,
        TabNorth,
        TabSouth,
        TabGlow,
        TabText,
        TabActiveText,
        TabContentNorth,
        TabContentSouth,
        TabSelectedGlow,
        PanelDarkBorder,
        PanelLightBorder,
        PanelTextBackground,
        PanelTextBackgroundSelected,
        PanelText,
        PanelBackgroundSelected,
        PanelOverflowBackground,
        PanelOverflowBackgroundPressed,
        PanelOverflowBackgroundSelectedNorth,
        PanelOverflowBackgroundSelectedSouth,

        ButtonBgOut,
        ButtonBgCenter,
        ButtonBorderOut,
        ButtonBorderIn,
        ButtonGlossyNorth,
        ButtonGlossySouth,

        ButtonDisabledBgOut,
        ButtonDisabledBgCenter,
        ButtonDisabledBorderOut,
        ButtonDisabledBorderIn,
        ButtonDisabledGlossyNorth,
        ButtonDisabledGlossySouth,

        ButtonSelectedBgOut,
        ButtonSelectedBgCenter,
        ButtonSelectedBorderOut,
        ButtonSelectedBorderIn,
        ButtonSelectedGlossyNorth,
        ButtonSelectedGlossySouth,

        ButtonPressedBgOut,
        ButtonPressedBgCenter,
        ButtonPressedBorderOut,
        ButtonPressedBorderIn,
        ButtonPressedGlossyNorth,
        ButtonPressedGlossySouth,

        ButtonCheckedBgOut,
        ButtonCheckedBgCenter,
        ButtonCheckedBorderOut,
        ButtonCheckedBorderIn,
        ButtonCheckedGlossyNorth,
        ButtonCheckedGlossySouth,

        ButtonCheckedSelectedBgOut,
        ButtonCheckedSelectedBgCenter,
        ButtonCheckedSelectedBorderOut,
        ButtonCheckedSelectedBorderIn,
        ButtonCheckedSelectedGlossyNorth,
        ButtonCheckedSelectedGlossySouth,

        ItemGroupOuterBorder,
        ItemGroupInnerBorder,
        ItemGroupSeparatorLight,
        ItemGroupSeparatorDark,
        ItemGroupBgNorth,
        ItemGroupBgSouth,
        ItemGroupBgGlossy,

        ButtonListBorder,
        ButtonListBg,
        ButtonListBgSelected,

        DropDownBg,
        DropDownImageBg,
        DropDownImageSeparator,
        DropDownBorder,
        DropDownGripNorth,
        DropDownGripSouth,
        DropDownGripBorder,
        DropDownGripDark,
        DropDownGripLight,
        DropDownCheckedButtonGlyphBg,
        DropDownCheckedButtonGlyphBorder,

        SeparatorLight,
        SeparatorDark,
        QATSeparatorLight,
        QATSeparatorDark,
        SeparatorBg,
        SeparatorLine,

        TextBoxUnselectedBg,
        TextBoxBorder,

        ToolTipContentNorth,
        ToolTipContentSouth,
        ToolTipDarkBorder,
        ToolTipLightBorder,

        ToolStripItemTextPressed,
        ToolStripItemTextSelected,
        ToolStripItemText,

        clrVerBG_Shadow,

        ButtonChecked_2013,
        ButtonPressed_2013,
        ButtonSelected_2013,
        OrbButton_2013,
        OrbButtonSelected_2013,
        OrbButtonPressed_2013,

        TabText_2013,
        TabTextSelected_2013,
        PanelBorder_2013,

        RibbonBackground_2013,
        TabCompleteBackground_2013,
        TabNormalBackground_2013,
        TabActiveBackbround_2013,

        TabBorder_2013,
        TabCompleteBorder_2013,

        TabActiveBorder_2013,

        OrbButtonText_2013,
        PanelText_2013,
        RibbonItemText_2013,
        ToolTipText_2013,

        ToolStripItemTextPressed_2013,
        ToolStripItemTextSelected_2013,
        ToolStripItemText_2013
    }
}