﻿using System;
using Xunit;
using System.Linq;
using GPdotNet.Core;
using System.Collections.Generic;

namespace gpdotnet.xunit
{
    public class UnitTests_OpenSave : BaseTestClass
    {
        [Fact]
        public void openFromFile_test1()
        {
            //"m_Parameters";
            //"m_TerminalSet";
            //"m_FunctionSet";
            //"m_progresReport";
            //"m_TerminationCriteria";
            //"history";
            //"popStr";

            string facStr = "{\"m_Parameters\":{\"InitializationMethod\":2,\"SelectionMethod\":0,\"PopulationSize\":500,\"MaxLevel\":8,\"MaxInitLevel\":5,\"BroodSize\":1,\"CrossoverProbability\":0.9,\"MutationProbability\":0.05,\"SelectionProbability\":0.2,\"OutputType\":3,\"RootFunctionNode\":{\"Id\":2050,\"Name\":\"SSigmoid\",\"Arity\":1,\"HasParameter\":true,\"Parameter\":7.0,\"Weight\":0,\"Selected\":false,\"Parameter2\":7.0},\"RootName\":3,\"Threshold\":0.0,\"ParallelProcessing\":true,\"Elitism\":1,\"TourSize\":0,\"ArgValue\":0.0,\"ConstFrom\":-5.0,\"ConstTo\":1.0,\"ConstNum\":3,\"Constants\":[-3.96387,-0.33659,-1.10364],\"ProtectedOperation\":true,\"FitnessName\":6},"+
                             "\"m_TerminalSet\":[1000,1001,1002,1003,1004,1005],"+
                             "\"m_FunctionSet\":[{\"Id\":2000,\"Name\":\"+\",\"Arity\":2,\"HasParameter\":false,\"Parameter\":0.0,\"Weight\":1,\"Selected\":true,\"Parameter2\":0.0},{\"Id\":2001,\"Name\":\"-\",\"Arity\":2,\"HasParameter\":false,\"Parameter\":0.0,\"Weight\":1,\"Selected\":true,\"Parameter2\":0.0},{\"Id\":2002,\"Name\":\"*\",\"Arity\":2,\"HasParameter\":false,\"Parameter\":0.0,\"Weight\":1,\"Selected\":true,\"Parameter2\":0.0},{\"Id\":2003,\"Name\":\"/\",\"Arity\":2,\"HasParameter\":false,\"Parameter\":0.0,\"Weight\":1,\"Selected\":true,\"Parameter2\":0.0},{\"Id\":2019,\"Name\":\"1/x\",\"Arity\":1,\"HasParameter\":false,\"Parameter\":0.0,\"Weight\":1,\"Selected\":false,\"Parameter2\":0.0},{\"Id\":2020,\"Name\":\"abs\",\"Arity\":1,\"HasParameter\":false,\"Parameter\":0.0,\"Weight\":1,\"Selected\":false,\"Parameter2\":0.0},{\"Id\":2025,\"Name\":\"sin\",\"Arity\":1,\"HasParameter\":false,\"Parameter\":0.0,\"Weight\":1,\"Selected\":false,\"Parameter2\":0.0}],"+
                             "\"m_progresReport\":{\"SolutionStarted\":\"0001-01-01T00:00:00\",\"IterationStatistics\":{\"MaximumFitness\":95.44,\"AverageFitness\":-61.2249,\"IterationSeconds\":0.2786654},\"Iteration\":181,\"BestSolution\":{\"expressionTree\":{\"marked\":false,\"Children\":[{\"marked\":false,\"Children\":[{\"marked\":false,\"Children\":[{\"marked\":false,\"Children\":[{\"marked\":false,\"Children\":[{\"marked\":false,\"Level\":5,\"Value\":1002,\"NodeName\":\"T2\"},{\"marked\":false,\"Level\":5,\"Value\":1005,\"NodeName\":\"T5\"}],\"Level\":4,\"Value\":2001,\"NodeName\":\"-\"},{\"marked\":false,\"Level\":4,\"Value\":1002,\"NodeName\":\"T2\"}],\"Level\":3,\"Value\":2002,\"NodeName\":\"*\"}],\"Level\":2,\"Value\":2019,\"NodeName\":\"1/x\"}],\"Level\":1,\"Value\":2025,\"NodeName\":\"sin\"}],\"Level\":0,\"Value\":2050,\"NodeName\":\"ssigmoid\"},\"Fitness\":95.44},\"BestIteration\":98,\"IterationStatus\":2,\"Message\":\"C=0.002 sec; M=0.000 sec; E=0.220 sec; S=0.056 sec; S=0.000 sec; \"},"+
                             "\"m_TerminationCriteria\":{\"IsIteration\":true,\"Value\":500.0},"+
                             "\"history\":[{\"MaxFitness\":58.24,\"AvgFitness\":-2.8902,\"Iteration\":0,\"Status\":0},{\"MaxFitness\":58.24,\"AvgFitness\":-41.7658,\"Iteration\":1,\"Status\":1},{\"MaxFitness\":58.24,\"AvgFitness\":-47.6623,\"Iteration\":2,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-52.1501,\"Iteration\":3,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-55.7348,\"Iteration\":4,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-59.0159,\"Iteration\":5,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-58.9412,\"Iteration\":6,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-60.8634,\"Iteration\":7,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-60.6985,\"Iteration\":8,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-60.4094,\"Iteration\":9,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.2863,\"Iteration\":10,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.0268,\"Iteration\":11,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.6787,\"Iteration\":12,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.2957,\"Iteration\":13,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-60.7143,\"Iteration\":14,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.2831,\"Iteration\":15,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.9527,\"Iteration\":16,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.7712,\"Iteration\":17,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.574,\"Iteration\":18,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-60.881,\"Iteration\":19,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-62.071,\"Iteration\":20,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.1625,\"Iteration\":21,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.9695,\"Iteration\":22,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.2037,\"Iteration\":23,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.7087,\"Iteration\":24,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.2192,\"Iteration\":25,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.898,\"Iteration\":26,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.0086,\"Iteration\":27,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.4227,\"Iteration\":28,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-62.4079,\"Iteration\":29,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-61.8922,\"Iteration\":30,\"Status\":1},{\"MaxFitness\":69.3,\"AvgFitness\":-60.987,\"Iteration\":31,\"Status\":1},{\"MaxFitness\":75.08,\"AvgFitness\":-61.0414,\"Iteration\":32,\"Status\":1},{\"MaxFitness\":75.08,\"AvgFitness\":-62.4273,\"Iteration\":33,\"Status\":1},{\"MaxFitness\":75.08,\"AvgFitness\":-61.5067,\"Iteration\":34,\"Status\":1},{\"MaxFitness\":75.08,\"AvgFitness\":-60.4653,\"Iteration\":35,\"Status\":1},{\"MaxFitness\":75.08,\"AvgFitness\":-61.426,\"Iteration\":36,\"Status\":1},{\"MaxFitness\":75.08,\"AvgFitness\":-61.5149,\"Iteration\":37,\"Status\":1},{\"MaxFitness\":75.08,\"AvgFitness\":-61.0242,\"Iteration\":38,\"Status\":1},{\"MaxFitness\":75.08,\"AvgFitness\":-61.1797,\"Iteration\":39,\"Status\":1},{\"MaxFitness\":75.08,\"AvgFitness\":-61.9705,\"Iteration\":40,\"Status\":1},{\"MaxFitness\":75.08,\"AvgFitness\":-61.3669,\"Iteration\":41,\"Status\":1},{\"MaxFitness\":75.08,\"AvgFitness\":-62.118,\"Iteration\":42,\"Status\":1},{\"MaxFitness\":77.0,\"AvgFitness\":-61.1855,\"Iteration\":43,\"Status\":1},{\"MaxFitness\":77.0,\"AvgFitness\":-61.7947,\"Iteration\":44,\"Status\":1},{\"MaxFitness\":77.0,\"AvgFitness\":-61.3288,\"Iteration\":45,\"Status\":1},{\"MaxFitness\":77.0,\"AvgFitness\":-61.7115,\"Iteration\":46,\"Status\":1},{\"MaxFitness\":77.0,\"AvgFitness\":-62.0322,\"Iteration\":47,\"Status\":1},{\"MaxFitness\":77.0,\"AvgFitness\":-62.3862,\"Iteration\":48,\"Status\":1},{\"MaxFitness\":77.0,\"AvgFitness\":-62.1403,\"Iteration\":49,\"Status\":1},{\"MaxFitness\":77.0,\"AvgFitness\":-62.186,\"Iteration\":50,\"Status\":1},{\"MaxFitness\":77.0,\"AvgFitness\":-62.0016,\"Iteration\":51,\"Status\":1},{\"MaxFitness\":77.0,\"AvgFitness\":-60.4992,\"Iteration\":52,\"Status\":1},{\"MaxFitness\":77.0,\"AvgFitness\":-61.5516,\"Iteration\":53,\"Status\":1},{\"MaxFitness\":77.0,\"AvgFitness\":-61.7877,\"Iteration\":54,\"Status\":1},{\"MaxFitness\":77.0,\"AvgFitness\":-61.4305,\"Iteration\":55,\"Status\":1},{\"MaxFitness\":81.96,\"AvgFitness\":-61.1582,\"Iteration\":56,\"Status\":1},{\"MaxFitness\":81.96,\"AvgFitness\":-61.5005,\"Iteration\":57,\"Status\":1},{\"MaxFitness\":81.96,\"AvgFitness\":-61.6532,\"Iteration\":58,\"Status\":1},{\"MaxFitness\":81.96,\"AvgFitness\":-60.8694,\"Iteration\":59,\"Status\":1},{\"MaxFitness\":81.96,\"AvgFitness\":-61.618,\"Iteration\":60,\"Status\":1},{\"MaxFitness\":81.96,\"AvgFitness\":-62.232,\"Iteration\":61,\"Status\":1},{\"MaxFitness\":81.96,\"AvgFitness\":-61.0507,\"Iteration\":62,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.9822,\"Iteration\":63,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.595,\"Iteration\":64,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-62.107,\"Iteration\":65,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-60.7667,\"Iteration\":66,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-62.2269,\"Iteration\":67,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.2143,\"Iteration\":68,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-62.134,\"Iteration\":69,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.3886,\"Iteration\":70,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.9462,\"Iteration\":71,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.2684,\"Iteration\":72,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.7913,\"Iteration\":73,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-62.1218,\"Iteration\":74,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.6352,\"Iteration\":75,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-62.0331,\"Iteration\":76,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.0949,\"Iteration\":77,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.3727,\"Iteration\":78,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.5478,\"Iteration\":79,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.7663,\"Iteration\":80,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.7695,\"Iteration\":81,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-60.3022,\"Iteration\":82,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-60.4667,\"Iteration\":83,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-60.5298,\"Iteration\":84,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.1704,\"Iteration\":85,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.8751,\"Iteration\":86,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.9737,\"Iteration\":87,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-60.982,\"Iteration\":88,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-62.1281,\"Iteration\":89,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.3505,\"Iteration\":90,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.8102,\"Iteration\":91,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-62.1517,\"Iteration\":92,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.7922,\"Iteration\":93,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-60.9587,\"Iteration\":94,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-60.8921,\"Iteration\":95,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.6008,\"Iteration\":96,\"Status\":1},{\"MaxFitness\":83.64,\"AvgFitness\":-61.1314,\"Iteration\":97,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.7178,\"Iteration\":98,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.3554,\"Iteration\":99,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.2034,\"Iteration\":100,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.5327,\"Iteration\":101,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.5201,\"Iteration\":102,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.8281,\"Iteration\":103,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.5737,\"Iteration\":104,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.4717,\"Iteration\":105,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.2102,\"Iteration\":106,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.7907,\"Iteration\":107,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-62.0233,\"Iteration\":108,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-62.4209,\"Iteration\":109,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.4889,\"Iteration\":110,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.8497,\"Iteration\":111,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.2484,\"Iteration\":112,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.73,\"Iteration\":113,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.7685,\"Iteration\":114,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.219,\"Iteration\":115,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.988,\"Iteration\":116,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.2346,\"Iteration\":117,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-62.0188,\"Iteration\":118,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.1417,\"Iteration\":119,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.541,\"Iteration\":120,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.0194,\"Iteration\":121,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.7079,\"Iteration\":122,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.3518,\"Iteration\":123,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.0137,\"Iteration\":124,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.3231,\"Iteration\":125,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.7913,\"Iteration\":126,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.0824,\"Iteration\":127,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.7052,\"Iteration\":128,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.7652,\"Iteration\":129,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.9001,\"Iteration\":130,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-62.2478,\"Iteration\":131,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.5732,\"Iteration\":132,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.479,\"Iteration\":133,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.9318,\"Iteration\":134,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.0434,\"Iteration\":135,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.2796,\"Iteration\":136,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.7084,\"Iteration\":137,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.8184,\"Iteration\":138,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.2549,\"Iteration\":139,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.8869,\"Iteration\":140,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.2219,\"Iteration\":141,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.408,\"Iteration\":142,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-62.1419,\"Iteration\":143,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.8929,\"Iteration\":144,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.9733,\"Iteration\":145,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.6442,\"Iteration\":146,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.0563,\"Iteration\":147,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.4113,\"Iteration\":148,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.128,\"Iteration\":149,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.9369,\"Iteration\":150,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.8398,\"Iteration\":151,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.5385,\"Iteration\":152,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.7221,\"Iteration\":153,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.4204,\"Iteration\":154,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.687,\"Iteration\":155,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.5095,\"Iteration\":156,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-62.081,\"Iteration\":157,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.3787,\"Iteration\":158,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.834,\"Iteration\":159,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.8462,\"Iteration\":160,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.4395,\"Iteration\":161,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.8565,\"Iteration\":162,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.5838,\"Iteration\":163,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.1464,\"Iteration\":164,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.8213,\"Iteration\":165,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.7435,\"Iteration\":166,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.9779,\"Iteration\":167,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-62.3202,\"Iteration\":168,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.8104,\"Iteration\":169,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.9691,\"Iteration\":170,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-62.649,\"Iteration\":171,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.8782,\"Iteration\":172,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.8238,\"Iteration\":173,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-62.201,\"Iteration\":174,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.5082,\"Iteration\":175,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.6557,\"Iteration\":176,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-63.3655,\"Iteration\":177,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.3526,\"Iteration\":178,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.0056,\"Iteration\":179,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-60.7539,\"Iteration\":180,\"Status\":1},{\"MaxFitness\":95.44,\"AvgFitness\":-61.2249,\"Iteration\":181,\"Status\":2}],"+
                             "\"popStr\":\"-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-34.47;2050&1:2020&1:2003&2:1004&-1:1000&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-49.14;2050&1:2020&1:2020&1:2002&2:2003&2:1004&-1:1004&-1:2003&2:1002&-1:1001&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:2020&1:1004&-1:1005&-1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-55.82;2050&1:2020&1:2025&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:1002&-1:2002&2:2019&1:2019&1:2020&1:1002&-1:1005&-1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:2020&1:1004&-1:1005&-1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:2001&2:2000&2:1005&-1:1002&-1:2020&1:2019&1:1005&-1:2002&2:2020&1:1002&-1:1005&-1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2019&1:2019&1:2020&1:1002&-1:\\r\\n-46.97;2050&1:2020&1:2003&2:2001&2:2002&2:1004&-1:1000&-1:2020&1:1001&-1:2000&2:2003&2:1003&-1:1002&-1:2019&1:1000&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-55.82;2050&1:2020&1:2025&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2000&2:1005&-1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:1002&-1:2002&2:2019&1:2019&1:2020&1:1002&-1:1005&-1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2019&1:2019&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:2001&2:2019&1:1002&-1:2020&1:1002&-1:2002&2:1002&-1:1005&-1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2020&1:1002&-1:1005&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-43;2050&1:2020&1:2000&2:2025&1:2020&1:1003&-1:2000&2:2020&1:1002&-1:2002&2:1002&-1:1003&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-53.95;2050&1:2020&1:2000&2:2025&1:2020&1:1003&-1:2000&2:2002&2:1002&-1:1002&-1:2002&2:1002&-1:1003&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:1002&-1:2002&2:2019&1:2019&1:2020&1:1002&-1:1005&-1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:1002&-1:2002&2:2019&1:2019&1:2020&1:1002&-1:1005&-1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:1004&-1:1005&-1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:1002&-1:2002&2:2019&1:2019&1:2020&1:1002&-1:1005&-1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:1002&-1:2002&2:2019&1:2019&1:2020&1:1002&-1:1005&-1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:2020&1:1004&-1:1005&-1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2001&2:1002&-1:2020&1:2019&1:1005&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2000&2:1005&-1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2020&1:1002&-1:1005&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-55.82;2050&1:2020&1:2025&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-67.35;2050&1:2002&2:1002&-1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2019&1:2019&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-55.82;2050&1:2020&1:2025&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2020&1:1002&-1:1005&-1:\\r\\n-77.76;2050&1:2000&2:2020&1:1002&-1:1005&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:1002&-1:2002&2:2019&1:2019&1:2020&1:1002&-1:1005&-1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-55.82;2050&1:2020&1:2025&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:2001&2:2000&2:1005&-1:1002&-1:2020&1:2019&1:1002&-1:2002&2:2020&1:1002&-1:1005&-1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-55.82;2050&1:2025&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-46.97;2050&1:2020&1:2003&2:2001&2:2002&2:1004&-1:1000&-1:2020&1:1001&-1:2000&2:2003&2:1003&-1:1002&-1:2019&1:1000&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:2001&2:2019&1:1002&-1:2020&1:1002&-1:2002&2:1002&-1:1005&-1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:2020&1:1004&-1:1005&-1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:2020&1:1004&-1:1005&-1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2019&1:2019&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-44.41;2050&1:2000&2:2002&2:2020&1:2025&1:1002&-1:2000&2:1002&-1:2000&2:1000&-1:1003&-1:2003&2:2001&2:2002&2:1004&-1:1000&-1:2020&1:1001&-1:2000&2:2003&2:1003&-1:1002&-1:2019&1:1000&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2020&1:1002&-1:1005&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:1002&-1:2002&2:2019&1:2019&1:2020&1:1002&-1:1005&-1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:2020&1:1002&-1:\\r\\n-40.29;2050&1:2002&2:1002&-1:1001&-1:\\r\\n-67.35;2050&1:2002&2:1002&-1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-55.82;2050&1:2020&1:2025&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-40.29;2050&1:2002&2:1001&-1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:2020&1:1002&-1:1005&-1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2019&1:2019&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2000&2:1002&-1:1005&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2019&1:2019&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2000&2:2003&2:2001&2:2019&1:1002&-1:2020&1:1002&-1:2002&2:2019&1:1002&-1:1005&-1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n-77.76;2050&1:2020&1:1002&-1:\\r\\n95.44;2050&1:2025&1:2019&1:2002&2:2001&2:1002&-1:1005&-1:1002&-1:\\r\\n-6.37;2050&1:2003&2:1000&-1:1001&-1:\\r\\n-6.37;2050&1:2003&2:1000&-1:1001&-1:\\r\\n-6.37;2050&1:2003&2:1000&-1:1001&-1:\\r\\n0;2050&1:2003&2:1004&-1:1003&-1:\\r\\n-10.87;2050&1:2000&2:1002&-1:1000&-1:\\r\\n-29.87;2050&1:2020&1:1001&-1:\\r\\n-21.52;2050&1:2000&2:1001&-1:1005&-1:\\r\\n0;2050&1:2019&1:1005&-1:\\r\\n0;2050&1:2002&2:1005&-1:1000&-1:\\r\\n0;2050&1:2019&1:1005&-1:\\r\\n-1.66;2050&1:2019&1:1000&-1:\\r\\n1.6;2050&1:2001&2:1004&-1:1002&-1:\\r\\n0;2050&1:2003&2:1004&-1:1004&-1:\\r\\n0;2050&1:2019&1:1005&-1:\\r\\n-21.52;2050&1:2000&2:1001&-1:1005&-1:\\r\\n0;2050&1:2019&1:1005&-1:\\r\\n0;2050&1:2000&2:1003&-1:1005&-1:\\r\\n-19.13;2050&1:2001&2:1004&-1:1000&-1:\\r\\n0;2050&1:2020&1:1003&-1:\\r\\n0;2050&1:2002&2:1000&-1:1005&-1:\\r\\n-22.48;2050&1:2000&2:2002&2:1004&-1:1002&-1:2003&2:1002&-1:1002&-1:\\r\\n23.64;2050&1:2002&2:2020&1:1000&-1:2000&2:1004&-1:1001&-1:\\r\\n-1.66;2050&1:2000&2:2002&2:1001&-1:1005&-1:2019&1:1000&-1:\\r\\n13.74;2050&1:2020&1:2002&2:1001&-1:1003&-1:\\r\\n0;2050&1:2020&1:2020&1:1005&-1:\\r\\n0;2050&1:2025&1:2025&1:1004&-1:\\r\\n0;2050&1:2020&1:2003&2:1004&-1:1004&-1:\\r\\n0;2050&1:2003&2:2002&2:1001&-1:1005&-1:2003&2:1002&-1:1004&-1:\\r\\n0;2050&1:2020&1:2003&2:1005&-1:1005&-1:\\r\\n0;2050&1:2025&1:2025&1:1003&-1:\\r\\n9.92;2050&1:2000&2:2003&2:1002&-1:1004&-1:2003&2:1001&-1:1001&-1:\\r\\n0;2050&1:2019&1:2020&1:1003&-1:\\r\\n2.64;2050&1:2019&1:2025&1:1002&-1:\\r\\n-20.58;2050&1:2003&2:2003&2:1000&-1:1003&-1:2019&1:1002&-1:\\r\\n0;2050&1:2025&1:2020&1:1004&-1:\\r\\n-67.35;2050&1:2020&1:2002&2:1002&-1:1002&-1:\\r\\n0;2050&1:2003&2:2000&2:1002&-1:1004&-1:2020&1:1005&-1:\\r\\n44.75;2050&1:2020&1:2002&2:1004&-1:1002&-1:\\r\\n-67.35;2050&1:2001&2:2002&2:1002&-1:1002&-1:2020&1:1005&-1:\\r\\n0;2050&1:2019&1:2020&1:1003&-1:\\r\\n-4.82;2050&1:2025&1:2025&1:2001&2:1001&-1:1004&-1:\\r\\n0;2050&1:2025&1:2002&2:2019&1:1005&-1:2025&1:1002&-1:\\r\\n24.93;2050&1:2019&1:2000&2:2000&2:1004&-1:1001&-1:2001&2:1004&-1:1002&-1:\\r\\n-3.18;2050&1:2025&1:2020&1:2000&2:1000&-1:1004&-1:\\r\\n0;2050&1:2000&2:2003&2:2025&1:1005&-1:2025&1:1000&-1:2019&1:2003&2:1005&-1:1005&-1:\\r\\n-8.47;2050&1:2003&2:2003&2:2020&1:1001&-1:2000&2:1005&-1:1003&-1:2002&2:2003&2:1001&-1:1004&-1:2002&2:1000&-1:1001&-1:\\r\\n0;2050&1:2003&2:2019&1:2001&2:1004&-1:1004&-1:2001&2:2001&2:1005&-1:1002&-1:2025&1:1001&-1:\\r\\n17.3;2050&1:2002&2:2001&2:2020&1:1004&-1:2002&2:1001&-1:1003&-1:2003&2:2000&2:1004&-1:1003&-1:2002&2:1002&-1:1004&-1:\\r\\n1.35;2050&1:2025&1:2003&2:2019&1:1003&-1:2001&2:1002&-1:1001&-1:\\r\\n0;2050&1:2002&2:2002&2:2001&2:1000&-1:1000&-1:2002&2:1003&-1:1003&-1:2002&2:2019&1:1004&-1:2025&1:1004&-1:\\r\\n0;2050&1:2019&1:2002&2:2025&1:1003&-1:2003&2:1003&-1:1005&-1:\\r\\n2.82;2050&1:2001&2:2025&1:2019&1:1005&-1:2019&1:2001&2:1002&-1:1001&-1:\\r\\n50.93;2050&1:2002&2:2001&2:2002&2:1004&-1:1000&-1:2000&2:1003&-1:1000&-1:2003&2:2025&1:1001&-1:2025&1:1002&-1:\\r\\n-11.48;2050&1:2019&1:2001&2:2025&1:1004&-1:2001&2:1003&-1:1000&-1:\\r\\n20.4;2050&1:2019&1:2003&2:2001&2:1000&-1:1002&-1:2020&1:1000&-1:\\r\\n0;2050&1:2003&2:2020&1:2000&2:1001&-1:1004&-1:2020&1:2002&2:1003&-1:1005&-1:\\r\\n-49.14;2050&1:2000&2:2002&2:2020&1:1005&-1:2020&1:1005&-1:2020&1:2003&2:1002&-1:1001&-1:\\r\\n0;2050&1:2003&2:2003&2:2019&1:1001&-1:2003&2:1002&-1:1003&-1:2019&1:2003&2:1005&-1:1000&-1:\\r\\n-13.78;2050&1:2020&1:2001&2:2003&2:1003&-1:1005&-1:2025&1:1001&-1:\\r\\n0;2050&1:2003&2:2020&1:2020&1:1005&-1:2000&2:2025&1:1004&-1:2001&2:1005&-1:1005&-1:\\r\\n0.35;2050&1:2002&2:2000&2:2002&2:2003&2:1000&-1:1004&-1:2020&1:1005&-1:2002&2:2001&2:1001&-1:1000&-1:2001&2:1001&-1:1005&-1:2003&2:2020&1:2003&2:1001&-1:1003&-1:2000&2:2001&2:1004&-1:1001&-1:2020&1:1004&-1:\\r\\n-2.33;2050&1:2001&2:2019&1:2002&2:2019&1:1001&-1:2002&2:1004&-1:1003&-1:2003&2:2020&1:2000&2:1002&-1:1003&-1:2020&1:2003&2:1002&-1:1004&-1:\\r\\n0;2050&1:2020&1:2000&2:2000&2:2001&2:1003&-1:1004&-1:2019&1:1003&-1:2003&2:2001&2:1000&-1:1000&-1:2002&2:1002&-1:1005&-1:\\r\\n0;2050&1:2025&1:2019&1:2019&1:2002&2:1005&-1:1002&-1:\\r\\n-15.17;2050&1:2003&2:2002&2:2020&1:2002&2:1004&-1:1003&-1:2019&1:2001&2:1002&-1:1005&-1:2025&1:2003&2:2020&1:1003&-1:2020&1:1001&-1:\\r\\n-22.27;2050&1:2000&2:2000&2:2002&2:2025&1:1001&-1:2001&2:1002&-1:1002&-1:2000&2:2000&2:1001&-1:1004&-1:2000&2:1000&-1:1004&-1:2000&2:2000&2:2003&2:1002&-1:1000&-1:2020&1:1005&-1:2000&2:2020&1:1001&-1:2020&1:1005&-1:\\r\\n10.02;2050&1:2025&1:2025&1:2003&2:2019&1:1001&-1:2003&2:1004&-1:1003&-1:\\r\\n0;2050&1:2019&1:2001&2:2019&1:2002&2:1003&-1:1003&-1:2002&2:2002&2:1002&-1:1005&-1:2025&1:1002&-1:\\r\\n64.55;2050&1:2025&1:2000&2:2003&2:2000&2:1002&-1:1003&-1:2019&1:1005&-1:2001&2:2020&1:1002&-1:2000&2:1005&-1:1001&-1:\\r\\n0;2050&1:2000&2:2000&2:2002&2:2000&2:1004&-1:1002&-1:2001&2:1001&-1:1001&-1:2003&2:2000&2:1004&-1:1003&-1:2025&1:1005&-1:2020&1:2001&2:2019&1:1004&-1:2000&2:1005&-1:1005&-1:\\r\\n0;2050&1:2002&2:2002&2:2025&1:2001&2:1001&-1:1001&-1:2003&2:2000&2:1004&-1:1004&-1:2002&2:1001&-1:1005&-1:2019&1:2003&2:2001&2:1004&-1:1002&-1:2003&2:1003&-1:1005&-1:\\r\\n-17.23;2050&1:2019&1:2003&2:2025&1:2003&2:1001&-1:1004&-1:2025&1:2025&1:1001&-1:\\r\\n-7.92;2050&1:2019&1:2000&2:2001&2:2020&1:1004&-1:2002&2:1002&-1:1000&-1:2001&2:2020&1:1005&-1:2019&1:1003&-1:\\r\\n-3.94;2050&1:2002&2:2019&1:2000&2:2002&2:1001&-1:1002&-1:2003&2:1005&-1:1003&-1:2019&1:2002&2:2020&1:1004&-1:2000&2:1004&-1:1000&-1:\\r\\n-0.68;2050&1:2025&1:2019&1:2000&2:2002&2:1004&-1:1002&-1:2000&2:1005&-1:1000&-1:\\r\\n-0.6;2050&1:2000&2:2002&2:2001&2:2025&1:1004&-1:2000&2:1001&-1:1003&-1:2000&2:2001&2:1003&-1:1004&-1:2001&2:1005&-1:1000&-1:2003&2:2025&1:2001&2:1000&-1:1003&-1:2003&2:2002&2:1000&-1:1004&-1:2003&2:1004&-1:1004&-1:\\r\\n0;2050&1:2000&2:2019&1:2019&1:2025&1:1003&-1:2003&2:2002&2:2002&2:1005&-1:1001&-1:2025&1:1004&-1:2019&1:2000&2:1000&-1:1003&-1:\\r\\n-4.47;2050&1:2019&1:2003&2:2020&1:2000&2:1000&-1:1002&-1:2019&1:2001&2:1001&-1:1003&-1:\\r\\n6.98;2050&1:2000&2:2025&1:2020&1:2003&2:1002&-1:1001&-1:2020&1:2002&2:2003&2:1003&-1:1002&-1:2001&2:1005&-1:1004&-1:\\r\\n-13.23;2050&1:2002&2:2000&2:2000&2:2003&2:1003&-1:1005&-1:2000&2:1000&-1:1004&-1:2000&2:2000&2:1004&-1:1003&-1:2003&2:1000&-1:1003&-1:2020&1:2019&1:2025&1:1004&-1:\\r\\n-8.89;2050&1:2003&2:2000&2:2001&2:2001&2:1001&-1:1005&-1:2002&2:1002&-1:1005&-1:2019&1:2020&1:1002&-1:2003&2:2000&2:2000&2:1003&-1:1000&-1:2001&2:1000&-1:1004&-1:2003&2:2019&1:1001&-1:2000&2:1004&-1:1005&-1:\\r\\n19.4;2050&1:2019&1:2002&2:2003&2:2020&1:1001&-1:2002&2:1001&-1:1002&-1:2019&1:2025&1:1003&-1:\\r\\n0;2050&1:2019&1:2003&2:2025&1:2002&2:1003&-1:1004&-1:2000&2:2020&1:1005&-1:2002&2:1005&-1:1005&-1:\\r\\n-22.14;2050&1:2019&1:2002&2:2003&2:2025&1:1001&-1:2019&1:1001&-1:2019&1:2003&2:1002&-1:1004&-1:\\r\\n0;2050&1:2003&2:2001&2:2019&1:2002&2:1005&-1:1002&-1:2025&1:2002&2:1005&-1:1003&-1:2019&1:2019&1:2020&1:1002&-1:\\r\\n-8.21;2050&1:2003&2:2020&1:2003&2:2025&1:1001&-1:2019&1:1004&-1:2001&2:2020&1:2002&2:1005&-1:1003&-1:2000&2:2020&1:1004&-1:2001&2:1000&-1:1001&-1:\\r\\n23.06;2050&1:2001&2:2019&1:2025&1:2003&2:1000&-1:1000&-1:2003&2:2019&1:2020&1:1001&-1:2000&2:2003&2:1003&-1:1000&-1:2019&1:1000&-1:\\r\\n9.41;2050&1:2003&2:2020&1:2020&1:2025&1:1004&-1:2001&2:2003&2:2020&1:1005&-1:2020&1:1002&-1:2002&2:2025&1:1004&-1:2002&2:1000&-1:1004&-1:\\r\\n0;2050&1:2000&2:2019&1:2025&1:2000&2:1005&-1:1003&-1:2020&1:2003&2:2000&2:1001&-1:1003&-1:2000&2:1002&-1:1003&-1:\\r\\n33.23;2050&1:2019&1:2001&2:2019&1:2020&1:1005&-1:2003&2:2003&2:1004&-1:1004&-1:2002&2:1004&-1:1001&-1:\\r\\n-1.19;2050&1:2020&1:2020&1:2020&1:2025&1:1000&-1:\\r\\n-21.65;2050&1:2020&1:2000&2:2002&2:2025&1:1004&-1:2001&2:1000&-1:1004&-1:2001&2:2001&2:1003&-1:1004&-1:2025&1:1003&-1:\\r\\n-14.34;2050&1:2001&2:2002&2:2019&1:2000&2:1000&-1:1001&-1:2002&2:2003&2:1002&-1:1002&-1:2002&2:1001&-1:1005&-1:2002&2:2001&2:2001&2:1002&-1:1002&-1:2025&1:1003&-1:2025&1:2000&2:1000&-1:1002&-1:\\r\\n44.3;2050&1:2020&1:2000&2:2002&2:2000&2:1005&-1:1001&-1:2003&2:1003&-1:1005&-1:2003&2:2019&1:1002&-1:2002&2:1000&-1:1002&-1:\\r\\n-9.49;2050&1:2020&1:2001&2:2020&1:2025&1:1000&-1:2003&2:2025&1:1000&-1:2000&2:1004&-1:1001&-1:\\r\\n0;2050&1:2019&1:2003&2:2003&2:2000&2:1005&-1:1001&-1:2019&1:1005&-1:2002&2:2001&2:1002&-1:1000&-1:2000&2:1000&-1:1004&-1:\\r\\n-17.06;2050&1:2025&1:2025&1:2020&1:2003&2:1002&-1:1000&-1:\\r\\n0;2050&1:2002&2:2025&1:2001&2:2001&2:1004&-1:1004&-1:2003&2:1005&-1:1000&-1:2001&2:2020&1:2020&1:1004&-1:2000&2:2025&1:1003&-1:2001&2:1000&-1:1005&-1:\\r\\n16.62;2050&1:2019&1:2001&2:2001&2:2020&1:1000&-1:2025&1:1005&-1:2000&2:2019&1:1000&-1:2003&2:1002&-1:1003&-1:\\r\\n-13.64;2050&1:2002&2:2001&2:2019&1:2019&1:1001&-1:2002&2:2000&2:1001&-1:1004&-1:2019&1:1001&-1:2001&2:2001&2:2000&2:1001&-1:1004&-1:2002&2:1004&-1:1004&-1:2002&2:2019&1:1004&-1:2003&2:1001&-1:1005&-1:\\r\\n\"}";

            var fac = new Factory();
            fac.GPFactoryFromString(facStr);

            Assert.True(fac.History.Count == 182);



            int i= fac.History.Count;
            //string[] sampleChoromosem2 = new string[] {
            //"",
            //"2000200220041000100110002037100020031001203720252000100120121000",
            //};
            //var list = new List<String>();
            //foreach (var n in sampleChoromosem2)
            //{
            //    Node node = new Node();
            //    FromString(node, n);
            //    list.Add(node.ToString());
            //}

            //Assert.True(true);
        }

       

        //[Fact]
        //public void prepareCHromosome()
        //{
        //    string[] sampleChoromosem2 = new string[] {
        //    "",
        //    "2000200220041000100110002037100020031001203720252000100120121000",
        //    };
        //    var list = new List<String>();
        //    foreach (var n in sampleChoromosem2)
        //    {
        //        Node node = new Node();
        //        FromString(node,n);
        //        list.Add(node.ToString());
        //    }

        //    Assert.True(true);
        //}


    }
}
